# CURRENT SCHEMA function

CURRENT SCHEMA returns the schema name used to qualify unqualified database object references.

Note: CURRENT SCHEMA and CURRENT SQLID are synonyms.

These functions return a string of up to 128 characters.

#### Syntax

    CURRENT SCHEMA

    -- or, alternately:

    CURRENT SQLID

    -- Set the name column default to the current schema:
    CREATE TABLE mytable (id int, name VARCHAR(128) DEFAULT CURRENT SQLID)
    -- Inserts default value of current schema value into the table:
    INSERT INTO mytable(id) VALUES (1)
    -- Returns the rows with the same name as the current schema:
    SELECT name FROM mytable WHERE name = CURRENT SCHEMA

Parent topic: Built-in functions